<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
require_once("DF80000.php");
include("JQUERY.inc");
$exiImp=0;
$asd=0;
$caNTotTal=0;
$exiIni=0;
?>
<html>
<head>
<?php


?>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script type="text/javascript" language="JavaScript1.2" src="RSSCRIPT.js"></script>
<script language="javascript">
        $(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='DYAUTPR.php';
	var idObjDes='des_prod';
        var idObjCve='id_prod';
        var medida='med_prod';
        var tamano='cap_prod';
        var costo='prom_prod';
        
	
	$("#"+idObjDes).autocomplete({
            source:pagRes,
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		                 //ancho del cuadro de despliegue
		 delay: 200,           //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
                           select: function( event, ui ) {
                        
                     $("#"+idObjDes).val( ui.item.gdescrip);
                     $("#"+idObjCve).val( ui.item.id);
                     $("#"+medida).val( ui.item.medida);
                     $("#"+tamano).val( ui.item.tamano);
                     $("#"+costo).val( ui.item.costo);
                     
                     
         }
 //Parametros Extra a Mandar en autosugestion
	});	
	
});
//$(document).ready(function(){
//	function formatItem(row) {
//		return " (<strong>" + row[1] + "</strong>)"+row[0];
//	}
//	$("#des_prod").autocomplete('DYAUTPR.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 300,           //alto del cuadro para el scroll
//		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
//		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
//	});
//	$("#id_prod").autocomplete('DYAUTPR.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 300,           //alto del cuadro para el scroll
//		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
//		formatResult:function(row){  //formato de seleccion de busqueda
//			return row[1];
//		},	                        
//		extraParams:{tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
//	});
//	$("#id_prod").result(function(event, data, formatted){
//		$('#des_prod').val(data[0]);
//		$('#med_prod').val(data[2]);
//		$('#cap_prod').val(data[5] +' | '+ data[3]);
//		$('#prom_prod').val(data[4]);
//		$('#des_prod').focus();
//	});	
//	$("#des_prod").result(function(event, data, formatted){
//		$('#id_prod').val(data[1]);
//		$('#med_prod').val(data[2]);
//		$('#cap_prod').val(data[5] +' | '+ data[3]);
//		$('#prom_prod').val(data[4]);
//	});	
//	$("input[@name=tip_bus]").click(function(){
//		$('#des_prod').setOptions({
//			extraParams:{
//				tipBus:getValRadChe('tip_bus')
//			}
//		});
//	});
//});
</script>

</head>
<body>	
<div align="center">
  <form name="frm1" method="post" action="">
     <table  align="center">
      <tr>
			<th colspan="2" nowrap>CARDEX DE INVENTARIO </th>
      </tr>
      <tr>
        <td colspan="2" nowrap>
		    <div align="center" class="estilotabla Estilo3"><strong>

		    Del 
            <input name="fec_ini" type="text" class="Estilo4 datefrom" id="fec_ini" onBlur="valFecha(this)" size="10"
			  <?php
 
			  if(isset($_POST['fec_ini'])){
			  	echo 'value="'.$_POST['fec_ini'].'"'; 
			  }else{
			  	echo 'value="'.date('01/m/Y').'"'; 
			  }
			  ?>
			  >
	        
		       
	        al
	          <input name="fec_fin" type="text" class="Estilo4 dateto" id="fec_fin" onBlur="valFecha(this)" size="10"
				<?php
 
			  if(isset($_POST['fec_fin'])){
			  	echo 'value="'.$_POST['fec_fin'].'"'; 
			  }else{
			  	echo 'value="'.date('31/m/Y').'"'; 
			  }
			  ?>
				>
	          
            </strong></div></td>
       </tr>
      <tr class="estilotabla">
        <td colspan="2" nowrap>
          <div align="right">
              <input name="id_prod" type="text" id="id_prod" size="10" value="<?php
              
 echo (isset($_POST['id_prod']))?$_POST['id_prod']:"" ;?>">
              <input name="des_prod" type="text" id="des_prod" size="40" value="<?php
 echo (isset($_POST['des_prod']))?$_POST['des_prod']:"";?>">
            <input name="tip_bus" type="radio" value="c">
              Clave
            <input name="tip_bus" type="radio" value="d" checked>
            Des.        </div></td>
       </tr>
      <tr>
        <th width="231" nowrap>UNIDAD DE MEDIDA
        <input name="med_prod" type="text" id="med_prod" size="20" value="<?php
 echo (isset($_POST['med_prod']))?$_POST['med_prod']:"";?>"></th>
        <th width="231" nowrap>CAPACIDAD
		<input name="cap_prod" type="text" id="cap_prod" size="20" value="<?php
 echo (isset($_POST['cap_prod']))?$_POST['cap_prod']:"";?>"></th>
      </tr>
      <tr>
        <th width="231" nowrap>PRECIO PROMEDIO 
            <input name="prom_prod" type="text" id="prom_prod" size="10" value="<?php
 echo (isset($_POST['prom_prod']))?$_POST['prom_prod']:"";?>">
        </th>
        <td nowrap>&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" nowrap><div align="center">
          <input name="botbus" type="submit" id="botbus" value="Buscar" onClick="sendFormNAS('frm1','','_self')"/>
        </div></td>
      </tr>
    </table>
  <!--</form>-->
		
<!--  <form name="frm1" id="frm1" method="post" action="" >--><br>
  <div align="center">
    <table width="996" border="0" align="center">
      <tr>
        <th colspan="12"> 
        <input type="button" name="botimprimir" value="Imprimir" onClick="openpage('AL11000_IM.php','_self')">
        <input name="toExcel" type="button" id="toExcel" value="Exportar Excel" onClick="openpage('AL11000_IME.php','_self')"></th>
      </tr>
      <tr>
  	    <th width="42"><div align="center">FECHA</div></th>
        <th width="63"><div align="center">TIP.MOV.</div></th>              
		<th width="98"><div align="center">ORDEN</div></th>
		<th width="98"><div align="center">FACTURA</div></th>
		<th width="127"><div align="center">COSTO UNITARIO</div></th>
		
		
		<th width="94"><div align="center">EXI. INICIAL</div></th>
        <th colspan="2"><div align="center">MOV. ENTRADA </div></th>
		<th colspan="2"><div align="center">MOV. SALIDA </div></th>
		<th width="77"><div align="center">EXI. FINAL </div></th>
        <th width="93">TOTAL</th>
	  </tr>
  	 <?php

	//se da formato a fechas
	$fecha_inicial = chfecha(isset($_POST['fec_ini'])?$_POST['fec_ini']:"",'d/m/Y','Y-m-d');
	$fecha_final = chfecha(isset($_POST['fec_fin'])?$_POST['fec_fin']:"",'d/m/Y','Y-m-d');
	$dataBus=NULL;
	if(trim(isset($_POST['id_prod']))&&($_POST['id_prod'])!="")
		$dataBus[]="nparte1='".$_POST['id_prod']."'";
	$dataBus[]="fec_mov between '$fecha_inicial' AND '$fecha_final'";
	
	$WHERE=implode(" AND ",$dataBus);
	$sq="select * from dgcardex WHERE $WHERE order by nparte1,fec_mov,n_reg";
	$sql = mysqli_query($con ,$sq);
	$idProdAct='-1';
	$conMov=0;
				$canMovEntTot=0;
				$canMovSalTot=0;
				$caNTotEnt=0;
				$caNTotSal=0;
	while(@$reg = mysqli_fetch_array($sql)){
		if($reg["nparte1"]!=$idProdAct){
			if($idProdAct!='-1'){
				echo "<tr>";
				echo "<td colspan='6'><div align=\"RIGHT\" class='inputcodigo'><div align=\"RIGHT\" style=' '>".'MO2VIMIENTOS: '.$conMov."</div></td>";
				echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$canMovEntTot."</div></td>";
				echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>$".number_format($caNTotEnt, 2, '.', ',')."</div></td>";
				echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$canMovSalTot."</div></td>";
				echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>$".number_format($caNTotSal, 2, '.', ',')."</div></td>";
				echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$exiIni."</div></td>";
				echo "<td class='inputcodigo'><div align=\"RIGHT\" style=' '>$".number_format($exiImp, 2, '.', ',')."</div></td>";
				echo "<td class='inputcodigo'><div align=\"RIGHT\"></div></td>";
				//echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
				echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
				echo "</tr>";
				$conMov=0;
				$canMovEntTot=0;
				$canMovSalTot=0;
				$caNTotEnt=0;
				$caNTotSal=0;
			}		
			$fecMovExp=explode("-",$reg['fec_mov']);
			$dt_invacuIni=mysqli_fetch_array(mysqli_query($con ,"SELECT dginvacu.*,farticulos.np_desc1,farticulos.pais ,farticulos.t10 FROM dginvacu INNER JOIN farticulos ON(farticulos.nparte1=dginvacu.nparte1) WHERE farticulos.modulo='".$_SESSION['mod_sis']."' AND   dginvacu.axo='$fecMovExp[0]' AND dginvacu.mes='$fecMovExp[1]' AND dginvacu.nparte1 ='".$reg['nparte1']."'"));
			$dt_cardexAnt=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(mov_ent) as movEnt, SUM(mov_sal) as movSal FROM dgcardex WHERE nparte1='".$reg['nparte1']."' AND (fec_mov >='$fecMovExp[0]-$fecMovExp[1]-01' AND fec_mov <'$fecha_inicial')"));
			//echo "SELECT SUM(mov_ent) as movEnt, SUM(mov_sal) as movSal FROM dgcardex WHERE nparte1='".$reg['nparte1']."' AND (fec_mov >='$fecMovExp[0]-$fecMovExp[1]-01' AND fec_mov <'$fecha_inicial')";
			$exiIni=$dt_invacuIni['exi_ini']+$dt_cardexAnt['movEnt']-$dt_cardexAnt['movSal'];
			echo "<tr><td class=\"estilotabla\" colspan=\"12\"><div align=\"center\">".$dt_invacuIni['nparte1'].'-'.$dt_invacuIni['np_desc1']."</div></td></tr>";
			echo "<tr><td class=\"inputcodigo\" colspan=\"12\" style=' '><div align=\"RIGHT\">".' EXISTENCIA INICIAL: '.$exiIni."</div></td></tr>";
			$idProdAct=$reg["nparte1"];
		}		
		$conMov++;
		$canMovEntTot +=$reg['mov_ent'];
		$canMovSalTot +=$reg['mov_sal'];
		$fec1 = $reg["fec_mov"];
		include('DF20000.php');
		
		if ($reg['cancelado']=='1'){
		echo "<tr>";//style="#CC0000"
		echo "<td style='#CC0000'><div align=\"LEFT\" style=' '>".$f_f."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$reg["tip_mov"]."</div></td>";
		//$bus=mysqli_fetch_array(mysqli_query($con ,"select trefe,folio_control from dgreqdev where fol_ven='".$reg["fol_recep"]."' "));
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$reg["orden"]."</div></td>"; // factura
        echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$reg["factura"]."</div></td>"; // orden de compra
		echo "<td style='#CC0000'><div align=\"RIGHT\" style=' '>$".number_format($reg["cos_pro_mov"], 2, '.', ',')."</div></td>";// ultimo 
		//echo "<td style='#CC0000'><div align=\"RIGHT\" style=' '>$".number_format($reg["cos_prom_ant"], 2, '.', ',')."</div></td>";// promedio
		//echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$dt_invacuIni["pais"]."</div></td>"; // unidad de medida
		//echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$dt_invacuIni["t10"]."</div></td>"; // capacidad
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$exiIni."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".($reg['mov_ent']!="0"?($reg['mov_ent']):"&nbsp;")."</div></td>";
		$iMp=$reg["cos_pro_mov"] * $reg["mov_ent"];
		$iMp_s=$reg["cos_pro_mov"] * $reg["mov_sal"];
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>$".number_format($iMp, 2, '.', ',')."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".($reg['mov_sal']!="0.00"?$reg['mov_sal']:"&nbsp;")."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>$".number_format($iMp_s, 2, '.', ',')."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".($exiIni +=$reg["mov_ent"]-$reg["mov_sal"])."</div></td>";
		echo "<td style='#CC0000'><div align=\"RIGHT\" style=' '>$".number_format(($exiImp +=$iMp-$iMp_s),2,'.',',')."</div></td>";
		$asd = $asd + $reg['pre_comven'];
		//sin campos
		echo "</tr>";
		}else{
		echo "<tr>";
		echo "<td><div align=\"LEFT\" style=' '>".$f_f."</div></td>";
		//echo "<td><div align=\"CENTER\" style=' '>".$reg["nparte1"]."</div></td>";
		//echo "<td><div align=\"LEFT\">".$reg["almacen"]."</div></td>";   ------->QUITAREMOS ALMACEN.
		echo "<td><div align=\"CENTER\" style=' '>".$reg["tip_mov"]."</div></td>";
		//$bus=mysqli_fetch_array(mysqli_query($con ,"select trefe,folio_control from dgreqdev where fol_ven='".$reg["fol_recep"]."' "));
		echo "<td><div align=\"CENTER\" style=' '>".$reg["orden"]."</div></td>"; // factura
		echo "<td><div align=\"CENTER\" style=' '>".$reg["factura"]."</div></td>"; // orden de compra
		echo "<td><div align=\"RIGHT\" style=' '>$".number_format($reg["cos_pro_mov"], 2, '.', ',')."</div></td>";// ultimo 
		//echo "<td><div align=\"RIGHT\" style=' '>$".number_format($reg["cos_prom_ant"], 2, '.', ',')."</div></td>";// promedio
		//echo "<td><div align=\"CENTER\" style=' '>".$dt_invacuIni["pais"]."</div></td>"; // unidad de medida
		//echo "<td><div align=\"CENTER\" style=' '>".$dt_invacuIni["t10"]."</div></td>"; // capacidad
		echo "<td><div align=\"CENTER\" style=' '>".$exiIni."</div></td>";
		
		$iMp=$reg["cos_pro_mov"] * $reg["mov_ent"];
		$iMp_s=$reg["cos_pro_mov"] * $reg["mov_sal"];
		
		echo "<td><div align=\"CENTER\" style=' '>".($reg['mov_ent']!="0"?($reg['mov_ent']):"&nbsp;")."</div></td>";
		echo "<td><div align=\"CENTER\" style=' '>".($reg['mov_ent']!="0"?number_format($iMp,2,'.',','):"&nbsp;")."</div></td>";
		
		echo "<td><div align=\"CENTER\" style=' '>".($reg['mov_sal']!="0"?($reg['mov_sal']):"&nbsp;")."</div></td>";
		echo "<td><div align=\"CENTER\" style=' '>".($reg['mov_sal']!="0"?(number_format($iMp_s,2,'.',',')):"&nbsp;")."</div></td>";
		echo "<td><div align=\"CENTER\" style=' '>".($exiIni +=$reg["mov_ent"]-$reg["mov_sal"])."</div></td>";
		echo "<td><div align=\"RIGHT\" style=' '>$".number_format(($exiImp +=$iMp-$iMp_s),2,'.',',')."</div></td>";
		$asd = $asd + $reg['pre_comven'];
		//sin campos
		echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
		echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
		echo "</tr>";
		
		$caNTotEnt +=$iMp;
		$caNTotSal +=$iMp_s;
		$caNTotTal +=$exiImp;
	}
	}
	echo "<tr>";  //PRESENTANCION.
	echo "<td colspan='6'><div align=\"RIGHT\" class='inputcodigo'><div align=\"RIGHT\" style=' '>".'MO1VIMIENTOS: '.$conMov."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$canMovEntTot."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>$".number_format($caNTotEnt, 2, '.', ',')."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$canMovSalTot."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>$".number_format($caNTotSal, 2, '.', ',')."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$exiIni."</div></td>";
	echo "<td class='inputcodigo'><div align=\"RIGHT\" style=' '>$".number_format($exiImp, 2, '.', ',')."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\"></div></td>";
	//echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
	echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
	echo "</tr>";	
	mysqli_close($con);
	?>	  
    </table>
    </div>
  </form>
</div>
</body>
</html>









while(@$reg = mysqli_fetch_array($sql)){
		/*if($reg["nparte1"]!=$idProdAct){
			
			$fecMovExp=explode("-",$reg['fec_mov']);
			//$dt_invacuIni=mysqli_fetch_array(mysqli_query($con ,"SELECT dginvacu.*,farticulos.np_desc1,farticulos.pais ,farticulos.t10 FROM dginvacu INNER JOIN farticulos ON(farticulos.nparte1=dginvacu.nparte1) WHERE farticulos.modulo='".$_SESSION['mod_sis']."' AND   dginvacu.axo='$fecMovExp[0]' AND dginvacu.mes='$fecMovExp[1]' AND dginvacu.nparte1 ='".$reg['nparte1']."'"));
			//$dt_cardexAnt=mysqli_fetch_array(mysqli_query($con ,"SELECT SUM(mov_ent) as movEnt, SUM(mov_sal) as movSal FROM dgcardex WHERE nparte1='".$reg['nparte1']."' AND (fec_mov >='$fecMovExp[0]-$fecMovExp[1]-01' AND fec_mov <'$fecha_inicial')"));
			//echo "SELECT SUM(mov_ent) as movEnt, SUM(mov_sal) as movSal FROM dgcardex WHERE nparte1='".$reg['nparte1']."' AND (fec_mov >='$fecMovExp[0]-$fecMovExp[1]-01' AND fec_mov <'$fecha_inicial')";
			//$exiIni=$dt_invacuIni['exi_ini']+$dt_cardexAnt['movEnt']-$dt_cardexAnt['movSal'];
			echo "<tr><td class=\"estilotabla\" colspan=\"12\"><div align=\"center\">".$dt_invacuIni['nparte1'].'-'.$dt_invacuIni['np_desc1']."</div></td></tr>";
			echo "<tr><td class=\"inputcodigo\" colspan=\"12\" style=' '><div align=\"RIGHT\">".' EXISTENCIA INICIAL: '.$exiIni."</div></td></tr>";
			$idProdAct=$reg["nparte1"];
		}	*/	
		$conMov++;
		$canMovEntTot +=$reg['mov_ent'];
		$canMovSalTot +=$reg['mov_sal'];
		$fec1 = $reg["fec_mov"];
		include('DF20000.php');
		
		if ($reg['cancelado']=='1'){
		echo "<tr>";//style="#CC0000"
		echo "<td style='#CC0000'><div align=\"LEFT\" style=' '>".$f_f."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$reg["tip_mov"]."</div></td>";
		//$bus=mysqli_fetch_array(mysqli_query($con ,"select trefe,folio_control from dgreqdev where fol_ven='".$reg["fol_recep"]."' "));
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$reg["orden"]."</div></td>"; // factura
        echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$reg["factura"]."</div></td>"; // orden de compra
		echo "<td style='#CC0000'><div align=\"RIGHT\" style=' '>$".number_format($reg["cos_pro_mov"], 2, '.', ',')."</div></td>";// ultimo 
		//echo "<td style='#CC0000'><div align=\"RIGHT\" style=' '>$".number_format($reg["cos_prom_ant"], 2, '.', ',')."</div></td>";// promedio
		//echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$dt_invacuIni["pais"]."</div></td>"; // unidad de medida
		//echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$dt_invacuIni["t10"]."</div></td>"; // capacidad
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".$exiIni."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".($reg['mov_ent']!="0"?($reg['mov_ent']):"&nbsp;")."</div></td>";
		$iMp=$reg["cos_pro_mov"] * $reg["mov_ent"];
		$iMp_s=$reg["cos_pro_mov"] * $reg["mov_sal"];
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>$".number_format($iMp, 2, '.', ',')."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".($reg['mov_sal']!="0.00"?$reg['mov_sal']:"&nbsp;")."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>$".number_format($iMp_s, 2, '.', ',')."</div></td>";
		echo "<td style='#CC0000'><div align=\"CENTER\" style=' '>".($exiIni +=$reg["mov_ent"]-$reg["mov_sal"])."</div></td>";
		echo "<td style='#CC0000'><div align=\"RIGHT\" style=' '>$".number_format(($exiImp +=$iMp-$iMp_s),2,'.',',')."</div></td>";
		$asd = $asd + $reg['pre_comven'];
		//sin campos
		echo "</tr>";
		}else{
		echo "<tr>";
		echo "<td><div align=\"LEFT\" style=' '>".$f_f."</div></td>";
		//echo "<td><div align=\"CENTER\" style=' '>".$reg["nparte1"]."</div></td>";
		//echo "<td><div align=\"LEFT\">".$reg["almacen"]."</div></td>";   ------->QUITAREMOS ALMACEN.
		echo "<td><div align=\"CENTER\" style=' '>".$reg["tip_mov"]."</div></td>";
		//$bus=mysqli_fetch_array(mysqli_query($con ,"select trefe,folio_control from dgreqdev where fol_ven='".$reg["fol_recep"]."' "));
		echo "<td><div align=\"CENTER\" style=' '>".$reg["orden"]."</div></td>"; // factura
		echo "<td><div align=\"CENTER\" style=' '>".$reg["factura"]."</div></td>"; // orden de compra
		echo "<td><div align=\"RIGHT\" style=' '>$".number_format($reg["cos_pro_mov"], 2, '.', ',')."</div></td>";// ultimo 
		//echo "<td><div align=\"RIGHT\" style=' '>$".number_format($reg["cos_prom_ant"], 2, '.', ',')."</div></td>";// promedio
		//echo "<td><div align=\"CENTER\" style=' '>".$dt_invacuIni["pais"]."</div></td>"; // unidad de medida
		//echo "<td><div align=\"CENTER\" style=' '>".$dt_invacuIni["t10"]."</div></td>"; // capacidad
		echo "<td><div align=\"CENTER\" style=' '>".$exiIni."</div></td>";
		
		$iMp=$reg["cos_pro_mov"] * $reg["mov_ent"];
		$iMp_s=$reg["cos_pro_mov"] * $reg["mov_sal"];
		
		echo "<td><div align=\"CENTER\" style=' '>".($reg['mov_ent']!="0"?($reg['mov_ent']):"&nbsp;")."</div></td>";
		echo "<td><div align=\"CENTER\" style=' '>".($reg['mov_ent']!="0"?number_format($iMp,2,'.',','):"&nbsp;")."</div></td>";
		
		echo "<td><div align=\"CENTER\" style=' '>".($reg['mov_sal']!="0"?($reg['mov_sal']):"&nbsp;")."</div></td>";
		echo "<td><div align=\"CENTER\" style=' '>".($reg['mov_sal']!="0"?(number_format($iMp_s,2,'.',',')):"&nbsp;")."</div></td>";
		echo "<td><div align=\"CENTER\" style=' '>".($exiIni +=$reg["mov_ent"]-$reg["mov_sal"])."</div></td>";
		echo "<td><div align=\"RIGHT\" style=' '>$".number_format(($exiImp +=$iMp-$iMp_s),2,'.',',')."</div></td>";
		$asd = $asd + $reg['pre_comven'];
		//sin campos
		echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
		echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
		echo "</tr>";
		
		$caNTotEnt +=$iMp;
		$caNTotSal +=$iMp_s;
		$caNTotTal +=$exiImp;
	}
	}
	echo "<tr>";  //PRESENTANCION.
	echo "<td colspan='6'><div align=\"RIGHT\" class='inputcodigo'><div align=\"RIGHT\" style=' '>".'MO1VIMIENTOS: '.$conMov."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$canMovEntTot."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>$".number_format($caNTotEnt, 2, '.', ',')."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$canMovSalTot."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>$".number_format($caNTotSal, 2, '.', ',')."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\" style=' '>".$exiIni."</div></td>";
	echo "<td class='inputcodigo'><div align=\"RIGHT\" style=' '>$".number_format($exiImp, 2, '.', ',')."</div></td>";
	echo "<td class='inputcodigo'><div align=\"CENTER\"></div></td>";
	//echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
	echo "<td><div align=\"RIGHT\">".'&nbsp;'."</div></td>";
	echo "</tr>";	














	onClick="sendFormNAS('frm1','AL10700_AC.php','_self')"